Description

From the Systems Groups page, when the user clicks on the system count, I assume that it should open that group with the user

landing on the systems pane.  That does not happen.

Scenario:

1. got to Hosts -> System Groups

2. view a list of system groups exists w/ name, system count and limit shown

3. attempt to click the system count

Observe a javascript error in the browser console similar to the following:

Error: Cannot transition to abstract state 'system-groups.details.systems'

at Object.transitionTo (http://fortello.devel:3000/assets/bastion/angular-ui-router/angular-ui-router.js?body=1:1976:39)

at Object.go (http://fortello.devel:3000/assets/bastion/angular-ui-router/angular-ui-router.js?body=1:1855:19)

at http://fortello.devel:3000/assets/bastion/angular-ui-router/angular-ui-router.js?body=1:2945:20

at http://fortello.devel:3000/assets/bastion/angular/angular.js?body=1:13586:28

at completeOutstandingRequest (http://fortello.devel:3000/assets/bastion/angular/angular.js?body=1:4112:10)

at http://fortello.devel:3000/assets/bastion/angular/angular.js?body=1:4419:7 angular.js?body=1:9420

Expected behavior:

system group opened to the systems pane

Associated revisions

Revision 4bf37929 - 04/21/2014 12:06 PM - Brad Buckingham

fixes #5232 - System Groups UI - fix link from system count to the group's System list.

Minor change so that clicking on the system count from the System Groups

list will take the user to the group's System list.

Revision 1d13acd5 - 04/21/2014 04:06 PM - Brad Buckingham

fixes #5232 - System Groups UI - fix link from system count to the group's System list.

Minor change so that clicking on the system count from the System Groups

list will take the user to the group's System list.

Revision 6a773dc8 - 04/21/2014 05:23 PM - Brad Buckingham

Merge pull request #3993 from bbuckingham/fixes-5232

fixes #5232 - System Groups UI - fix link from system count to the group's System list.

History

#1 - 04/21/2014 01:08 PM - Brad Buckingham

- Status changed from New to Assigned

- Assignee set to Brad Buckingham
#2 - 04/21/2014 05:54 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:1d13acd560544b07cbccae130fd83f0d027582fa.

#3 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
